Package org.eclipse.m2m.atl.emftvm.launcher.compat

# Class EMFTVMUILauncher

java.lang.Object
org.eclipse.m2m.atl.emftvm.launcher.compat.EMFTVMLauncher
org.eclipse.m2m.atl.emftvm.launcher.compat.EMFTVMUILauncher

All Implemented Interfaces:
  `ILauncher`

public class EMFTVMUILauncher extends EMFTVMLauncher
The EMFTVM UI extension of the `EMFTVMLauncher`, which supports debug.

## Field Summary

### Fields inherited from class org.eclipse.m2m.atl.emftvm.launcher.compat.EMFTVMLauncher

`execEnv, libraries, MODEL_FACTORY_NAME, models, moduleResolver, moduleResourceSet, outputResourceSet, timingData`

### Fields inherited from interface org.eclipse.m2m.atl.core.launch.ILauncher

`DEBUG_MODE, RUN_MODE`

## Constructor Summary

Constructors
Constructor
Description
`EMFTVMUILauncher()`

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getModes()`
Returns the supported modes.
`Object`
`launch(String mode, org.eclipse.core.runtime.IProgressMonitor monitor, Map<String,Object> options, Object... modules)`
Launches the transformation using the given parameters and the given set of preloaded modules, or `InputStream`.

### Methods inherited from class org.eclipse.m2m.atl.emftvm.launcher.compat.EMFTVMLauncher

`addInModel, addInOutModel, addLibrary, addModel, addOutModel, getDefaultModelFactoryName, getLibrary, getModel, getModuleFromObject, getName, initialize, internalLaunch, loadModule`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EMFTVMUILauncher

public EMFTVMUILauncher()

## Method Details

### launch

public Object launch(String mode, org.eclipse.core.runtime.IProgressMonitor monitor, Map<String,Object> options, Object... modules)
Launches the transformation using the given parameters and the given set of preloaded modules, or `InputStream`.

Specified by:
  `launch` in interface `ILauncher`
Overrides:
  `launch` in class `EMFTVMLauncher`
Parameters:
  `mode` - the launching mode
  `monitor` - the progress monitor
  `options` - vm options
  `modules` - single module/ordered module set. A module set is used for superimposition, where the first module of the set is override by the next ones. A module can be passed as an InputStream or directly a module loaded by the loadModule method.
Returns:
  the transformation return result
See Also:
  - `EMFTVMLauncher.launch(java.lang.String, org.eclipse.core.runtime.IProgressMonitor, java.util.Map, java.lang.Object[])`

### getModes

public String[] getModes()
Returns the supported modes.

Specified by:
  `getModes` in interface `ILauncher`
Overrides:
  `getModes` in class `EMFTVMLauncher`
Returns:
  the supported modes
See Also:
  - `ILauncher.getModes()`